Summary:	A BibTex editor for KDE
Name:		kbib
Version:	0.5.4
Release:	%mkrel 3
License:	GPL
Group:		Publishing
Url:		http://user.digisurf.com.au/~thachly/kbib/index.html
Source0:	http://user.digisurf.com.au/~thachly/kbib/%{name}-%{version}.tar.bz2
Patch0:		%{name}-desktop.patch
BuildRequires:	kdelibs-devel
BuildRequires:	libyaz-devel
BuildRequires:	libyazpp-devel
BuildRequires:	libxml-devel
BuildRequires:	libxslt-devel
Requires:	bibtex2html
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
KBib is a BibTex management program for KDE.

%prep
%setup -q %{name}-%{version}
%patch0 -p0

%build
%configure2_5x \
	--disable-rpath \
	--enable-pch \
	--with-pic

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std
mkdir -p %{buildroot}%{_datadir}/applications/kde
mv -f %{buildroot}%{_datadir}/applnk/Office/* %{buildroot}%{_datadir}/applications/kde

%post
%{update_menus}
%if %mdkversion >= 200700
%{update_desktop_database}
%update_icon_cache hicolor
%endif

%postun
%{clean_menus}
%if %mdkversion >= 200700
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog TODO
%attr(755,root,root) %{_bindir}/%{name}*
%{_datadir}/applications/kde/*.desktop
%{_datadir}/apps/%{name}/*.xsl
%{_datadir}/apps/%{name}/icons/hicolor/*x*/actions/*.png
%{_datadir}/apps/%{name}/*.rc
%{_datadir}/icons/hicolor/*x*/apps/*.png
%{_datadir}/mimelnk/application/*.desktop
%{_datadir}/mimelnk/text/*.desktop
			   

%changelog
* Fri Feb 09 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.4-3mdv2007.0
+ Revision: 118309
- regenerate desktop patch
- move desktop files to the right directory

* Thu Feb 08 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.4-2mdv2007.1
+ Revision: 118218
- fix menu entry
- enable yazpp support

* Sun Jan 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.4-1mdv2007.1
+ Revision: 111519
- Import kbib

